|  | Home | Documentation | saml1__DoNotCacheConditionType Struct Reference updated Thu Sep 21 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

saml1__DoNotCacheConditionType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":DoNotCacheConditionType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":ConditionAbstractType. More...

`#include <saml1.h>`

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":DoNotCacheConditionType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:1.0:assertion":ConditionAbstractType.

struct saml1__DoNotCacheConditionType operations:

- saml1__DoNotCacheConditionType* soap_new_saml1__DoNotCacheConditionType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__DoNotCacheConditionType(struct soap*, saml1__DoNotCacheConditionType*) default initialize members
- int soap_read_saml1__DoNotCacheConditionType(struct soap*, saml1__DoNotCacheConditionType*) deserialize from a source
- int soap_write_saml1__DoNotCacheConditionType(struct soap*, saml1__DoNotCacheConditionType*) serialize to a sink
- saml1__DoNotCacheConditionType* soap_dup_saml1__DoNotCacheConditionType(struct soap*, saml1__DoNotCacheConditionType* dst, saml1__DoNotCacheConditionType <em>src) returns deep copy of saml1__DoNotCacheConditionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__DoNotCacheConditionType(saml1__DoNotCacheConditionType) deep deletes saml1__DoNotCacheConditionType data members, use only on dst after soap_dup_saml1__DoNotCacheConditionType(NULL, saml1__DoNotCacheConditionType *dst, saml1__DoNotCacheConditionType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- saml1.h